MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003733ATutorExport Contentpublic2009-04-14 07:192009-07-21 08:49
Reporterharris 
Assigned Toharris 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.6.3 
Summary0003733: A4a Export/import fails to copy images
DescriptionIf images' links are like the following: "../file.jpg", then the import fails on Linux, seems like it actually records "../file.jpg" as a filename in the achieve.

Fix this by using realpath, not relative path.

This also brings up a problem in the ims_import.php code because it doesn't copy files outside of the package_base directory. In this case, add another loop to copy every file in that directory.
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0003501)
harris (developer)
2009-04-14 07:29

8434

Patch 0019
(0003504)
harris (developer)
2009-04-17 07:29

Fails on UNIX and some on Windows
(0003505)
harris (developer)
2009-04-17 07:30

8svn: 456

Patch 0000020

- Issue History
Date Modified Username Field Change
2009-04-14 07:19 harris New Issue
2009-04-14 07:19 harris Affects version => SVN
2009-04-14 07:19 harris Status new => assigned
2009-04-14 07:19 harris Assigned To => harris
2009-04-14 07:29 harris Status assigned => resolved
2009-04-14 07:29 harris Resolution open => fixed
2009-04-14 07:29 harris Note Added: 0003501
2009-04-17 07:29 harris Status resolved => feedback
2009-04-17 07:29 harris Resolution fixed => reopened
2009-04-17 07:29 harris Note Added: 0003504
2009-04-17 07:29 harris Status feedback => assigned
2009-04-17 07:30 harris Status assigned => resolved
2009-04-17 07:30 harris Resolution reopened => fixed
2009-04-17 07:30 harris Note Added: 0003505
2009-06-12 09:31 greg Status resolved => new
2009-06-12 09:33 greg Status new => resolved
2009-06-12 09:33 greg Fixed in Version => 1.6.3
2009-07-21 08:49 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker